{
  "metrics": {
    "background_tasks.rmdir.base": [
      [
        "quantity",
        "elapsed_ms",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "event",
        "metric_base",
        [
          "background-tasks"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": []
        }
      ],
      [
        "quantity",
        "removal_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "retry_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "succeeded",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "suffix_ever_failed",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "suffix_removal_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "was_first",
        [
          "background-tasks"
        ],
        "ping",
        false
      ]
    ],
    "background_tasks.rmdir.http_cache": [
      [
        "quantity",
        "elapsed_ms",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "event",
        "metric_base",
        [
          "background-tasks"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": []
        }
      ],
      [
        "quantity",
        "removal_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "retry_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "succeeded",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "suffix_ever_failed",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "suffix_removal_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "was_first",
        [
          "background-tasks"
        ],
        "ping",
        false
      ]
    ],
    "background_tasks.rmdir.quota": [
      [
        "quantity",
        "elapsed_ms",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "event",
        "metric_base",
        [
          "background-tasks"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": []
        }
      ],
      [
        "quantity",
        "removal_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "retry_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "succeeded",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "suffix_ever_failed",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "suffix_removal_count",
        [
          "background-tasks"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "was_first",
        [
          "background-tasks"
        ],
        "ping",
        false
      ]
    ],
    "background_update": [
      [
        "string_list",
        "reasons_to_not_update",
        [
          "background-update",
          "metrics"
        ],
        "application",
        false
      ],
      [
        "datetime",
        "time_last_update_scheduled",
        [
          "background-update",
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "day"
        }
      ],
      [
        "uuid",
        "client_id",
        [
          "background-update",
          "baseline",
          "events",
          "metrics"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "exit_code_exception",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "exit_code_success",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "string",
        "final_state",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "string_list",
        "reasons",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "string_list",
        "states",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "datetime",
        "targeting_env_current_date",
        [
          "background-update"
        ],
        "ping",
        false,
        {
          "time_unit": "day"
        }
      ],
      [
        "quantity",
        "targeting_env_firefox_version",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "datetime",
        "targeting_env_profile_age",
        [
          "background-update"
        ],
        "ping",
        false,
        {
          "time_unit": "day"
        }
      ],
      [
        "boolean",
        "targeting_exception",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "targeting_exists",
        [
          "background-update"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "targeting_version",
        [
          "background-update"
        ],
        "ping",
        false
      ]
    ],
    "blocklist": [
      [
        "event",
        "addon_block_change",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "addon_version",
            "blocklist_state",
            "hours_since",
            "mlbf_generation",
            "mlbf_last_time",
            "mlbf_source",
            "object",
            "signed_date",
            "value"
          ]
        }
      ],
      [
        "datetime",
        "last_modified_rs_addons_mblf",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "datetime",
        "mlbf_generation_time",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "string",
        "mlbf_source",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "datetime",
        "mlbf_stash_time_newest",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "datetime",
        "mlbf_stash_time_oldest",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ]
    ],
    "browser.engagement": [
      [
        "counter",
        "active_ticks",
        [
          "baseline",
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "profile_count",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "uri_count",
        [
          "baseline",
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "browser.launched_to_handle": [
      [
        "event",
        "system_notification",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "action",
            "name"
          ]
        }
      ]
    ],
    "cookie.banners": [
      [
        "labeled_boolean",
        "normal_window_service_mode",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "disabled",
            "reject",
            "reject_or_accept",
            "invalid"
          ]
        }
      ],
      [
        "labeled_boolean",
        "private_window_service_mode",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "disabled",
            "reject",
            "reject_or_accept",
            "invalid"
          ]
        }
      ],
      [
        "event",
        "reload",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "has_click_rule",
            "has_cookie_rule",
            "no_rule"
          ]
        }
      ],
      [
        "labeled_counter",
        "rule_lookup_by_domain",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "top_hit",
            "top_hit_opt_in",
            "top_hit_opt_out",
            "top_miss",
            "iframe_hit",
            "iframe_hit_opt_in",
            "iframe_hit_opt_out",
            "iframe_miss",
            "top_cookie_hit",
            "top_cookie_hit_opt_in",
            "top_cookie_hit_opt_out",
            "top_cookie_miss",
            "iframe_cookie_hit",
            "iframe_cookie_hit_opt_in",
            "iframe_cookie_hit_opt_out",
            "iframe_cookie_miss",
            "top_click_hit",
            "top_click_hit_opt_in",
            "top_click_hit_opt_out",
            "top_click_miss",
            "iframe_click_hit",
            "iframe_click_hit_opt_in",
            "iframe_click_hit_opt_out",
            "iframe_click_miss"
          ]
        }
      ],
      [
        "labeled_counter",
        "rule_lookup_by_load",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "top_hit",
            "top_hit_opt_in",
            "top_hit_opt_out",
            "top_miss",
            "iframe_hit",
            "iframe_hit_opt_in",
            "iframe_hit_opt_out",
            "iframe_miss",
            "top_cookie_hit",
            "top_cookie_hit_opt_in",
            "top_cookie_hit_opt_out",
            "top_cookie_miss",
            "iframe_cookie_hit",
            "iframe_cookie_hit_opt_in",
            "iframe_cookie_hit_opt_out",
            "iframe_cookie_miss",
            "top_click_hit",
            "top_click_hit_opt_in",
            "top_click_hit_opt_out",
            "top_click_miss",
            "iframe_click_hit",
            "iframe_click_hit_opt_in",
            "iframe_click_hit_opt_out",
            "iframe_click_miss"
          ]
        }
      ],
      [
        "boolean",
        "service_detect_only",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "cookie.banners.click": [
      [
        "timing_distribution",
        "handle_duration",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "labeled_counter",
        "result",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "success",
            "success_cookie_injected",
            "success_dom_content_loaded",
            "success_mutation_pre_load",
            "success_mutation_post_load",
            "fail",
            "fail_banner_not_found",
            "fail_banner_not_visible",
            "fail_button_not_found",
            "fail_no_rule_for_mode",
            "fail_actor_destroyed"
          ]
        }
      ]
    ],
    "crash": [
      [
        "string",
        "process_type",
        [
          "crash"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "startup",
        [
          "crash"
        ],
        "ping",
        false
      ],
      [
        "datetime",
        "time",
        [
          "crash"
        ],
        "ping",
        false,
        {
          "time_unit": "minute"
        }
      ],
      [
        "timespan",
        "uptime",
        [
          "crash"
        ],
        "ping",
        false,
        {
          "time_unit": "millisecond"
        }
      ]
    ],
    "dap": [
      [
        "labeled_counter",
        "report_generation_status",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "success",
            "failure"
          ]
        }
      ],
      [
        "labeled_counter",
        "upload_status",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "success",
            "failure"
          ]
        }
      ]
    ],
    "dotprint": [
      [
        "counter",
        "android_dialog_requested",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "failure",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "no_settings_service",
            "no_settings",
            "no_canonical_context",
            "no_activity_context_delegate",
            "no_activity_context",
            "io_error",
            "unknown"
          ]
        }
      ],
      [
        "counter",
        "requested",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "extensions": [
      [
        "timespan",
        "startup_cache_load_time",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ]
    ],
    "extensions.apis.dnr": [
      [
        "quantity",
        "evaluate_rules_count_max",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "timing_distribution",
        "evaluate_rules_time",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "labeled_counter",
        "startup_cache_entries",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "ordered_labels": [
            "hit",
            "miss"
          ]
        }
      ],
      [
        "memory_distribution",
        "startup_cache_read_size",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "memory_unit": "byte"
        }
      ],
      [
        "timing_distribution",
        "startup_cache_read_time",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "memory_distribution",
        "startup_cache_write_size",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "memory_unit": "byte"
        }
      ],
      [
        "timing_distribution",
        "startup_cache_write_time",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "timing_distribution",
        "validate_rules_time",
        [
          "metrics"
        ],
        "application",
        false,
        {
          "time_unit": "millisecond"
        }
      ]
    ],
    "first_startup": [
      [
        "quantity",
        "elapsed",
        [
          "first-startup"
        ],
        "ping",
        false
      ],
      [
        "quantity",
        "status_code",
        [
          "first-startup"
        ],
        "ping",
        false
      ]
    ],
    "fog": [
      [
        "boolean",
        "failed_idle_registration",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "timespan",
        "initialization",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ]
    ],
    "fog.ipc": [
      [
        "memory_distribution",
        "buffer_sizes",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "memory_unit": "byte"
        }
      ],
      [
        "timing_distribution",
        "flush_durations",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "counter",
        "flush_failures",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "replay_failures",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "shutdown_registration_failures",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "gmp": [
      [
        "labeled_counter",
        "update_xml_fetch_result",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "cert_pin_success",
            "cert_pin_net_request_error",
            "cert_pin_net_timeout",
            "cert_pin_abort",
            "cert_pin_missing_data",
            "cert_pin_failed",
            "cert_pin_invalid",
            "cert_pin_xml_parse_error",
            "cert_pin_unknown_error",
            "content_sig_success",
            "content_sig_net_request_error",
            "content_sig_net_timeout",
            "content_sig_abort",
            "content_sig_missing_data",
            "content_sig_failed",
            "content_sig_invalid",
            "content_sig_xml_parse_error",
            "content_sig_unknown_error"
          ]
        }
      ]
    ],
    "legacy.telemetry": [
      [
        "uuid",
        "client_id",
        [
          "baseline",
          "events",
          "metrics",
          "newtab"
        ],
        "application",
        false
      ]
    ],
    "messaging_system": [
      [
        "string",
        "action",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "addon_version",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "uuid",
        "browser_session_id",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "bucket_id",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "text",
        "cfr_action",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "uuid",
        "client_id",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "event",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "text",
        "event_context",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "event_context_parse_error",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "event_page",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "event_reason",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "event_source",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "glean_ping_for_ping_failures",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "uuid",
        "impression_id",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "invalid_nested_data",
        [
          "messaging-system"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "string",
        "locale",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "text",
        "message_id",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "page",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "ping_type",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "source",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "unknown_key_count",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "unknown_keys",
        [
          "messaging-system"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ]
    ],
    "messaging_system.attribution": [
      [
        "string",
        "campaign",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "content",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "dlsource",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "dltoken",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "experiment",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "medium",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "msstoresignedin",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "source",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "string",
        "ua",
        [
          "messaging-system"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "unknown_keys",
        [
          "messaging-system"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "string",
        "variation",
        [
          "messaging-system"
        ],
        "ping",
        false
      ]
    ],
    "netwerk": [
      [
        "labeled_counter",
        "early_hints",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "stylesheet",
            "fonts",
            "scripts",
            "fetch",
            "image",
            "other"
          ]
        }
      ],
      [
        "labeled_counter",
        "eh_link_type",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "dns-prefetch",
            "icon",
            "modulepreload",
            "preconnect",
            "prefetch",
            "preload",
            "prerender",
            "stylesheet",
            "other"
          ]
        }
      ]
    ],
    "network": [
      [
        "labeled_counter",
        "cors_authorization_header",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "allowed",
            "disallowed",
            "covered_by_wildcard"
          ]
        }
      ],
      [
        "labeled_counter",
        "data_size_pb_per_type",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "text_html",
            "text_css",
            "text_json",
            "text_plain",
            "text_javascript",
            "text_other",
            "audio",
            "video",
            "multipart",
            "icon",
            "image",
            "ocsp",
            "xpinstall",
            "wasm",
            "pdf",
            "octet_stream",
            "proxy",
            "compressed",
            "x509",
            "application_other"
          ]
        }
      ],
      [
        "labeled_counter",
        "data_size_per_type",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "text_html",
            "text_css",
            "text_json",
            "text_plain",
            "text_javascript",
            "text_other",
            "audio",
            "video",
            "multipart",
            "icon",
            "image",
            "ocsp",
            "xpinstall",
            "wasm",
            "pdf",
            "octet_stream",
            "proxy",
            "compressed",
            "x509",
            "application_other"
          ]
        }
      ]
    ],
    "networking": [
      [
        "custom_distribution",
        "cookie_access_fixup_diff",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "bucket_count": 100,
          "histogram_type": "exponential",
          "range_max": 315360000000,
          "range_min": 0
        }
      ],
      [
        "custom_distribution",
        "cookie_creation_fixup_diff",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "bucket_count": 100,
          "histogram_type": "exponential",
          "range_max": 315360000000,
          "range_min": 0
        }
      ],
      [
        "labeled_counter",
        "cookie_timestamp_fixed_count",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "creationTime",
            "lastAccessed"
          ]
        }
      ],
      [
        "labeled_counter",
        "speculative_connect_outcome",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "successful",
            "aborted_socket_limit",
            "aborted_socket_fail",
            "aborted_https_not_enabled"
          ]
        }
      ]
    ],
    "newtab": [
      [
        "string_list",
        "blocked_sponsors",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "closed",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "newtab_visit_id"
          ]
        }
      ],
      [
        "string",
        "homepage_category",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "string",
        "locale",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "string",
        "newtab_category",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "opened",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "newtab_visit_id",
            "source"
          ]
        }
      ]
    ],
    "newtab.search": [
      [
        "boolean",
        "enabled",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "issued",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "newtab_visit_id",
            "search_access_point",
            "telemetry_id"
          ]
        }
      ]
    ],
    "newtab.search.ad": [
      [
        "event",
        "click",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "is_follow_on",
            "is_tagged",
            "newtab_visit_id",
            "search_access_point",
            "telemetry_id"
          ]
        }
      ],
      [
        "event",
        "impression",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "is_follow_on",
            "is_tagged",
            "newtab_visit_id",
            "search_access_point",
            "telemetry_id"
          ]
        }
      ]
    ],
    "nimbus_events": [
      [
        "event",
        "enroll_failed",
        [
          "background-update",
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "branch",
            "experiment",
            "reason"
          ]
        }
      ],
      [
        "event",
        "enrollment",
        [
          "background-update",
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "branch",
            "enrollment_id",
            "experiment",
            "experiment_type"
          ]
        }
      ],
      [
        "event",
        "exposure",
        [
          "background-update",
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "branch",
            "experiment",
            "feature_id"
          ]
        }
      ],
      [
        "event",
        "unenroll_failed",
        [
          "background-update",
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "experiment",
            "reason"
          ]
        }
      ],
      [
        "event",
        "unenrollment",
        [
          "background-update",
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "branch",
            "enrollment_id",
            "experiment",
            "reason"
          ]
        }
      ],
      [
        "event",
        "validation_failed",
        [
          "background-update",
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "branch",
            "experiment",
            "feature",
            "l10n_ids",
            "locale",
            "reason"
          ]
        }
      ]
    ],
    "paint": [
      [
        "timing_distribution",
        "build_displaylist_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ]
    ],
    "pdfjs": [
      [
        "labeled_counter",
        "buttons",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "presentation_mode",
            "presentation_mode_keyboard",
            "view_bookmark",
            "first_page",
            "last_page",
            "page_rotate_cw",
            "page_rotate_ccw",
            "cursor_select_tool",
            "cursor_hand_tool",
            "scroll_page",
            "scroll_vertical",
            "scroll_horizontal",
            "scroll_wrapped",
            "spread_none",
            "spread_odd",
            "spread_even",
            "document_properties"
          ]
        }
      ],
      [
        "labeled_counter",
        "editing",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "ink",
            "freetext",
            "save",
            "print"
          ]
        }
      ],
      [
        "labeled_counter",
        "geckoview",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "download_tapped",
            "open_in_app_tapped",
            "open_in_app_just_once",
            "open_in_app_always",
            "download_failed",
            "download_succeeded",
            "save_as_pdf_tapped"
          ]
        }
      ],
      [
        "custom_distribution",
        "time_to_view",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "bucket_count": 50,
          "histogram_type": "exponential",
          "range_max": 10000,
          "range_min": 1
        }
      ],
      [
        "counter",
        "used",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "perf": [
      [
        "event",
        "page_load",
        [
          "pageload"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "dns_lookup_time",
            "fcp_time",
            "http_ver",
            "js_exec_time",
            "load_time",
            "load_type",
            "redirect_count",
            "redirect_time",
            "response_time",
            "same_origin_nav",
            "trr_domain"
          ]
        }
      ]
    ],
    "ping.centre": [
      [
        "counter",
        "send_failures",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "send_failures_by_namespace",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "activity_stream",
            "messaging_system",
            "contextual_services"
          ]
        }
      ],
      [
        "labeled_counter",
        "send_successes_by_namespace",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "activity_stream",
            "messaging_system",
            "contextual_services"
          ]
        }
      ]
    ],
    "pocket": [
      [
        "event",
        "click",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "is_sponsored",
            "newtab_visit_id",
            "position"
          ]
        }
      ],
      [
        "boolean",
        "enabled",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "impression",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "is_sponsored",
            "newtab_visit_id",
            "position"
          ]
        }
      ],
      [
        "boolean",
        "is_signed_in",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "save",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "is_sponsored",
            "newtab_visit_id",
            "position"
          ]
        }
      ],
      [
        "boolean",
        "sponsored_stories_enabled",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "topic_click",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "newtab_visit_id",
            "topic"
          ]
        }
      ]
    ],
    "power": [
      [
        "counter",
        "cpu_time_bogus_values",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "cpu_time_per_process_type_ms",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "parent.active",
            "parent.active.playing-audio",
            "parent.active.playing-video",
            "parent.inactive",
            "parent.inactive.playing-audio",
            "parent.inactive.playing-video",
            "prealloc",
            "privilegedabout",
            "rdd",
            "socket",
            "web.background",
            "web.background-perceivable",
            "web.foreground",
            "extension",
            "gpu",
            "gmplugin",
            "utility"
          ]
        }
      ],
      [
        "labeled_counter",
        "cpu_time_per_tracker_type_ms",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "ad",
            "analytics",
            "cryptomining",
            "fingerprinting",
            "social",
            "unknown"
          ]
        }
      ],
      [
        "counter",
        "gpu_time_bogus_values",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "gpu_time_per_process_type_ms",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "parent.active",
            "parent.active.playing-audio",
            "parent.active.playing-video",
            "parent.inactive",
            "parent.inactive.playing-audio",
            "parent.inactive.playing-video",
            "prealloc",
            "privilegedabout",
            "rdd",
            "socket",
            "web.background",
            "web.background-perceivable",
            "web.foreground",
            "extension",
            "gpu",
            "gmplugin",
            "utility"
          ]
        }
      ],
      [
        "counter",
        "total_cpu_time_ms",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "total_gpu_time_ms",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "total_thread_wakeups",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "labeled_counter",
        "wakeups_per_process_type",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "parent.active",
            "parent.active.playing-audio",
            "parent.active.playing-video",
            "parent.inactive",
            "parent.inactive.playing-audio",
            "parent.inactive.playing-video",
            "prealloc",
            "privilegedabout",
            "rdd",
            "socket",
            "web.background",
            "web.background-perceivable",
            "web.foreground",
            "extension",
            "gpu",
            "gmplugin",
            "utility"
          ]
        }
      ]
    ],
    "power.battery": [
      [
        "custom_distribution",
        "percentage_when_user_active",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "bucket_count": 100,
          "histogram_type": "linear",
          "range_max": 100,
          "range_min": 0
        }
      ]
    ],
    "power.cpu_ms_per_thread": [
      [
        "labeled_counter",
        "content_background",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "content_foreground",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "gpu_process",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "parent_active",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "parent_inactive",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ]
    ],
    "power.wakeups_per_thread": [
      [
        "labeled_counter",
        "content_background",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "content_foreground",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "gpu_process",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "parent_active",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ],
      [
        "labeled_counter",
        "parent_inactive",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "asynclogger",
            "audioipc",
            "audioipc_callback_rpc",
            "audioipc_client_callback",
            "audioipc_client_rpc",
            "audioipc_devicecollection_rpc",
            "audioipc_server_callback",
            "audioipc_server_rpc",
            "backgroundthreadpool",
            "bgiothreadpool",
            "bgreadurls",
            "bhmgr_monitor",
            "bhmgr_processor",
            "cameras_ipc",
            "capturethread",
            "classifier_update",
            "com_mta",
            "compositor",
            "cookie",
            "cubeboperation",
            "datachannel_io",
            "dns_resolver",
            "dom_worker",
            "domcachethread",
            "extensionprotocolhandler",
            "font_loader",
            "fontenumthread",
            "fs_broker",
            "geckomain",
            "gmpthread",
            "graphrunner",
            "html5_parser",
            "imagebridgechld",
            "imageio",
            "indexeddb",
            "initfontlist",
            "inotifyeventthread",
            "ipc_i_o_child",
            "ipc_i_o_parent",
            "ipc_launch",
            "ipdl_background",
            "js_watchdog",
            "jump_list",
            "libwebrtcmodulethread",
            "link_monitor",
            "ls_thread",
            "mediacache",
            "mediadecoderstatemachine",
            "mediapdecoder",
            "mediasupervisor",
            "mediatimer",
            "mediatrackgrph",
            "memorypoller",
            "mozstorage",
            "mtransport",
            "netlink_monitor",
            "pacerthread",
            "permission",
            "playeventsound",
            "processhangmon",
            "profilerchild",
            "proxyresolution",
            "quotamanager_io",
            "registerfonts",
            "remotebackbuffer",
            "remotelzystream",
            "remvidchild",
            "renderer",
            "sandboxreporter",
            "savescripts",
            "socket_thread",
            "softwarevsyncthread",
            "ssl_cert",
            "startupcache",
            "streamtrans",
            "stylethread",
            "swcomposite",
            "taskcontroller",
            "timer",
            "toastbgthread",
            "trr_background",
            "untrusted_modules",
            "url_classifier",
            "videocapture",
            "vsynciothread",
            "webrtccallthread",
            "webrtcworker",
            "wincompositor",
            "windowsvsyncthread",
            "winwindowocclusioncalc",
            "worker_launcher",
            "wrrenderbackend",
            "wrscenebuilder",
            "wrscenebuilderlp",
            "wrworker",
            "wrworkerlp"
          ]
        }
      ]
    ],
    "rtcrtpsender": [
      [
        "denominator",
        "count",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "numerators": [
            [
              "used_sendencodings",
              "rtcrtpsender",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "fail_length_changed",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "fail_no_getparameters",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "fail_no_transactionid",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "fail_other",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "fail_rid_changed",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "fail_stale_transactionid",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ]
          ]
        }
      ],
      [
        "denominator",
        "count_setparameters_compat",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "numerators": [
            [
              "fail_no_encodings",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "warn_length_changed",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "warn_no_getparameters",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "warn_no_transactionid",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "warn_rid_changed",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ],
            [
              "warn_stale_transactionid",
              "rtcrtpsender.setparameters",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ]
          ]
        }
      ],
      [
        "rate",
        "used_sendencodings",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "rtcrtpsender.setparameters": [
      [
        "labeled_counter",
        "blame_length_changed",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_counter",
        "blame_no_getparameters",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_counter",
        "blame_no_transactionid",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_counter",
        "blame_stale_transactionid",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "rate",
        "fail_length_changed",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "fail_no_encodings",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "fail_no_getparameters",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "fail_no_transactionid",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "fail_other",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "fail_rid_changed",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "fail_stale_transactionid",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "warn_length_changed",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "warn_no_getparameters",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "warn_no_transactionid",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "warn_rid_changed",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "rate",
        "warn_stale_transactionid",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "search.engine.default": [
      [
        "event",
        "changed",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "change_source",
            "new_display_name",
            "new_engine_id",
            "new_load_path",
            "new_submission_url",
            "previous_engine_id"
          ]
        }
      ],
      [
        "string",
        "display_name",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "string",
        "engine_id",
        [
          "metrics",
          "newtab"
        ],
        "application",
        false
      ],
      [
        "string",
        "load_path",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "url",
        "submission_url",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "string",
        "verified",
        [
          "metrics"
        ],
        "application",
        false
      ]
    ],
    "search.engine.private": [
      [
        "event",
        "changed",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "change_source",
            "new_display_name",
            "new_engine_id",
            "new_load_path",
            "new_submission_url",
            "previous_engine_id"
          ]
        }
      ],
      [
        "string",
        "display_name",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "string",
        "engine_id",
        [
          "metrics",
          "newtab"
        ],
        "application",
        false
      ],
      [
        "string",
        "load_path",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "url",
        "submission_url",
        [
          "metrics"
        ],
        "application",
        false
      ],
      [
        "string",
        "verified",
        [
          "metrics"
        ],
        "application",
        false
      ]
    ],
    "search.service": [
      [
        "timing_distribution",
        "startup_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ]
    ],
    "serp": [
      [
        "event",
        "abandonment",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "impression_id",
            "reason"
          ]
        }
      ],
      [
        "event",
        "ad_impression",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "ads_hidden",
            "ads_loaded",
            "ads_visible",
            "component",
            "impression_id"
          ]
        }
      ],
      [
        "timing_distribution",
        "categorization_duration",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "millisecond"
        }
      ],
      [
        "event",
        "engagement",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "action",
            "impression_id",
            "target"
          ]
        }
      ],
      [
        "event",
        "impression",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "impression_id",
            "is_shopping_page",
            "partner_code",
            "provider",
            "shopping_tab_displayed",
            "source",
            "tagged"
          ]
        }
      ]
    ],
    "startup": [
      [
        "boolean",
        "is_restored_by_macos",
        [
          "metrics"
        ],
        "ping",
        false
      ]
    ],
    "test_only": [
      [
        "counter",
        "bad_code",
        [
          "test-ping"
        ],
        "ping",
        false
      ],
      [
        "boolean",
        "can_we_flag_it",
        [
          "test-ping"
        ],
        "ping",
        false
      ],
      [
        "timespan",
        "can_we_time_it",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ],
      [
        "string",
        "cheesy_string",
        [
          "test-ping"
        ],
        "ping",
        false
      ],
      [
        "string_list",
        "cheesy_string_list",
        [
          "test-ping"
        ],
        "ping",
        false
      ],
      [
        "memory_distribution",
        "do_you_remember",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "memory_unit": "megabyte"
        }
      ],
      [
        "labeled_string",
        "mabels_balloon_labels",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "celebratory",
            "celebratory_and_snarky"
          ]
        }
      ],
      [
        "labeled_string",
        "mabels_balloon_strings",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_counter",
        "mabels_bathroom_counters",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_counter",
        "mabels_kitchen_counters",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_string",
        "mabels_label_maker",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_counter",
        "mabels_labeled_counters",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "next_to_the_fridge",
            "clean"
          ]
        }
      ],
      [
        "labeled_boolean",
        "mabels_like_balloons",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "labeled_boolean",
        "mabels_like_labeled_balloons",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": [
            "water",
            "birthday_party"
          ]
        }
      ],
      [
        "quantity",
        "meaning_of_life",
        [
          "test-ping"
        ],
        "ping",
        false
      ],
      [
        "timespan",
        "mirror_time",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ],
      [
        "timespan",
        "mirror_time_nanos",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ],
      [
        "labeled_boolean",
        "mirrors_for_labeled_bools",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "boolean",
        "one_ping_one_bool",
        [
          "one-ping-only"
        ],
        "ping",
        false
      ],
      [
        "datetime",
        "what_a_date",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "time_unit": "second"
        }
      ],
      [
        "uuid",
        "what_id_it",
        [
          "test-ping"
        ],
        "ping",
        false
      ],
      [
        "timing_distribution",
        "what_time_is_it",
        [
          "test-ping"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ]
    ],
    "test_only.ipc": [
      [
        "boolean",
        "a_bool",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "counter",
        "a_counter",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "custom_distribution",
        "a_custom_dist",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "bucket_count": 10,
          "histogram_type": "linear",
          "range_max": 2147483646,
          "range_min": 1
        }
      ],
      [
        "datetime",
        "a_date",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "time_unit": "second"
        }
      ],
      [
        "labeled_counter",
        "a_labeled_counter",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "memory_distribution",
        "a_memory_dist",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "memory_unit": "kilobyte"
        }
      ],
      [
        "quantity",
        "a_quantity",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "string",
        "a_string",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "string_list",
        "a_string_list",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "text",
        "a_text",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "timing_distribution",
        "a_timing_dist",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "time_unit": "nanosecond"
        }
      ],
      [
        "url",
        "a_url",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "uuid",
        "a_uuid",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "event",
        "an_event",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "extra1",
            "extra2"
          ]
        }
      ],
      [
        "denominator",
        "an_external_denominator",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "numerators": [
            [
              "rate_with_external_denominator",
              "test_only.ipc",
              [
                "store1"
              ],
              "ping",
              false,
              null
            ]
          ]
        }
      ],
      [
        "labeled_counter",
        "another_labeled_counter",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "ordered_labels": null
        }
      ],
      [
        "event",
        "event_with_extra",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "extra1",
            "extra2",
            "extra3_longer_name"
          ]
        }
      ],
      [
        "rate",
        "irate",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "event",
        "no_extra_event",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": []
        }
      ],
      [
        "rate",
        "rate_with_external_denominator",
        [
          "store1"
        ],
        "ping",
        false
      ]
    ],
    "test_only.jog": [
      [
        "counter",
        "a_counter",
        [
          "store1"
        ],
        "ping",
        false
      ],
      [
        "event",
        "an_event",
        [
          "store1"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "extra1",
            "extra2"
          ]
        }
      ]
    ],
    "timer_thread": [
      [
        "custom_distribution",
        "timers_fired_per_wakeup",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "bucket_count": 20,
          "histogram_type": "exponential",
          "range_max": 80,
          "range_min": 0
        }
      ]
    ],
    "topsites": [
      [
        "event",
        "click",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "advertiser_name",
            "is_sponsored",
            "newtab_visit_id",
            "position",
            "tile_id"
          ]
        }
      ],
      [
        "boolean",
        "enabled",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "event",
        "impression",
        [
          "newtab"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "advertiser_name",
            "is_sponsored",
            "newtab_visit_id",
            "position",
            "tile_id"
          ]
        }
      ],
      [
        "quantity",
        "rows",
        [
          "newtab"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "sponsored_enabled",
        [
          "newtab"
        ],
        "application",
        false
      ]
    ],
    "translations": [
      [
        "event",
        "error",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "reason"
          ]
        }
      ],
      [
        "rate",
        "error_rate",
        [
          "metrics"
        ],
        "ping",
        false
      ],
      [
        "denominator",
        "requests_count",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "numerators": [
            [
              "error_rate",
              "translations",
              [
                "metrics"
              ],
              "ping",
              false,
              null
            ]
          ]
        }
      ],
      [
        "event",
        "translation_request",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "auto_translate",
            "from_language",
            "to_language"
          ]
        }
      ]
    ],
    "translations.panel": [
      [
        "event",
        "open",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "opened_from"
          ]
        }
      ]
    ],
    "update": [
      [
        "boolean",
        "auto_download",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "background_update",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "can_usually_apply_updates",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "can_usually_check_for_updates",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "can_usually_stage_updates",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "can_usually_use_bits",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "string",
        "channel",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "enabled",
        [
          "background-update"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "service_enabled",
        [
          "background-update"
        ],
        "application",
        false
      ]
    ],
    "urlbar": [
      [
        "event",
        "abandonment",
        [
          "events"
        ],
        "ping",
        true,
        {
          "allowed_extra_keys": [
            "groups",
            "interaction",
            "n_chars",
            "n_results",
            "n_words",
            "results",
            "sap",
            "search_mode"
          ]
        }
      ],
      [
        "event",
        "engagement",
        [
          "events"
        ],
        "ping",
        true,
        {
          "allowed_extra_keys": [
            "engagement_type",
            "groups",
            "interaction",
            "n_chars",
            "n_results",
            "n_words",
            "provider",
            "results",
            "sap",
            "search_mode",
            "selected_result",
            "selected_result_subtype"
          ]
        }
      ],
      [
        "event",
        "exposure",
        [
          "events"
        ],
        "ping",
        false,
        {
          "allowed_extra_keys": [
            "results"
          ]
        }
      ],
      [
        "event",
        "impression",
        [
          "events"
        ],
        "ping",
        true,
        {
          "allowed_extra_keys": [
            "groups",
            "interaction",
            "n_chars",
            "n_results",
            "n_words",
            "reason",
            "results",
            "sap",
            "search_mode"
          ]
        }
      ],
      [
        "quantity",
        "pref_max_results",
        [
          "events"
        ],
        "application",
        false
      ],
      [
        "boolean",
        "pref_suggest_topsites",
        [
          "events"
        ],
        "application",
        false
      ]
    ],
    "wr": [
      [
        "timing_distribution",
        "framebuild_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "gpu_wait_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "rasterize_blobs_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "rasterize_glyphs_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "renderer_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "renderer_time_no_sc",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "scenebuild_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "sceneswap_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "texture_cache_update_time",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "time_to_frame_build",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ],
      [
        "timing_distribution",
        "time_to_render_start",
        [
          "metrics"
        ],
        "ping",
        false,
        {
          "time_unit": "microsecond"
        }
      ]
    ]
  },
  "pings": [
    [
      "messaging-system",
      false,
      false,
      []
    ],
    [
      "newtab",
      true,
      false,
      [
        "component_init",
        "newtab_session_end"
      ]
    ],
    [
      "pageload",
      false,
      false,
      [
        "startup",
        "threshold"
      ]
    ],
    [
      "background-tasks",
      false,
      false,
      []
    ],
    [
      "crash",
      true,
      false,
      [
        "crash",
        "event_found"
      ]
    ],
    [
      "one-ping-only",
      false,
      true,
      []
    ],
    [
      "test-ping",
      false,
      true,
      []
    ],
    [
      "first-startup",
      true,
      false,
      []
    ],
    [
      "background-update",
      true,
      false,
      [
        "backgroundupdate_task"
      ]
    ]
  ]
}